Subject: Re: [IPFIX] [Technical Errata Reported] RFC5655 (3560)

From: Benoit Claise <[email-masked]>
Date: Mon, 08 Apr 2013 08:48:31 +0200

IPFIX ie-doctors,

Do you have a conclusion regarding this errata 
http://www.rfc-editor.org/errata_search.php?eid=3560 ?
Just back to work today, so maybe I missed it...

Regards, Benoit
> Hi Brian,
>> Hi, Benoit,
>>
>> Though technically correct, this is, in my view, not what the range 
>> attribute in the registry is for.
> I accept this point of view (as well).
> I propose that the ie-doctors discuss this issue, and come back with a 
> consensus on this corner case.
>>
>> The intention of the restriction on the value of the messageScope IE 
>> is to be clear that it is not intended to convey any data in the 
>> record, simply to convey information in the type represented by the 
>> template. "Range" implies to me that the values actually have semantics.
>>
>> Further, it is not clear that it makes sense to go through the errata 
>> process _first_ on definitions of IEs in RFCs when we've just gone to 
>> a fair amount of effort to be very clear (through 5102bis and 
>> ie-doctors) that the IANA registry is the canonical reference for the 
>> information model. Otherwise, we logically have to file errata on 
>> 5102 every time the original IEs are updated through the ie-doctors 
>> process, which just seems like a lot of extra bureaucracy to me.
> We have to distinguish three types of errata, depending on the content 
> of the "requester" in the IPFIX IANA registry
> 1. it contains RFC5102. I agree with you. Let's wait for the 
> [RFC5102bis} and [ie-doctors]
> 2. it doesn't contain any specific RFC: let's do the change directly 
> in IANA
> 3. it contains a RFC but not RFC5102. In that case, we need an errata 
> on the originating RFC, which in turn, will change the IANA registry
>
> The errata in question is about messageScope, which falls in the 
> category 3.
>
> Regards, Benoit
>>
>> Regards,
>>
>> Brian
>>
>> On 25 Mar 2013, at 11:59, Benoit Claise <[email-masked]> wrote:
>>
>>> Hi,
>>>
>>> This errata looks fine to me, but I want to hear from authors first, 
>>> as this is the first time we will have a range of "0-0" in the IPFIX 
>>> IANA registry.
>>>
>>> Regards, Benoit
>>>> The following errata report has been submitted for RFC5655,
>>>> "Specification of the IP Flow Information Export (IPFIX) File Format".
>>>>
>>>> --------------------------------------
>>>> You may review the report below and at:
>>>> http://www.rfc-editor.org/errata_search.php?rfc=5655&eid=3560
>>>>
>>>> --------------------------------------
>>>> Type: Technical
>>>> Reported by: Paul Aitken <[email-masked]>
>>>>
>>>> Section: 8.2.11 + .18
>>>>
>>>> Original Text
>>>> -------------
>>>> (none)
>>>>
>>>> Corrected Text
>>>> --------------
>>>> Range: The valid range is 0-0.
>>>>
>>>> Notes
>>>> -----
>>>> 8.2.11 messageScope requires a value of 0 ("The value of this 
>>>> Information Element MUST be written as 0") but no range is given. 
>>>> The range should say "0-0". (Compare with text in RFC 5102).
>>>>
>>>>
>>>>
>>>> Similarly for 8.2.18 sessionScope.
>>>>
>>>> Instructions:
>>>> -------------
>>>> This errata is currently posted as "Reported". If necessary, please
>>>> use "Reply All" to discuss whether it should be verified or
>>>> rejected. When a decision is reached, the verifying party (IESG)
>>>> can log in to change the status and edit the report, if necessary.
>>>>
>>>> --------------------------------------
>>>> RFC5655 (draft-ietf-ipfix-file-05)
>>>> --------------------------------------
>>>> Title               : Specification of the IP Flow Information 
>>>> Export (IPFIX) File Format
>>>> Publication Date    : October 2009
>>>> Author(s)           : B. Trammell, E. Boschi, L. Mark, T. Zseby, A. 
>>>> Wagner
>>>> Category            : PROPOSED STANDARD
>>>> Source              : IP Flow Information Export
>>>> Area                : Operations and Management
>>>> Stream              : IETF
>>>> Verifying Party     : IESG
>>>>
>>>>
>>> _______________________________________________
>>> IPFIX mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/ipfix
>>
>>
>
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix
>
>